Submitted By:            Igor Živković <contact@igor-zivkovic.from.hr>
Date:                    2013-10-08
Initial Package Version: 0.2.0
Upstream Status:         Fixed
Origin:                  Gentoo
Description:             Fixes building against FFmpeg version >= 2.0.0

diff -Naur gegl-0.2.0.orig/operations/external/ff-load.c gegl-0.2.0/operations/external/ff-load.c
--- gegl-0.2.0.orig/operations/external/ff-load.c	2012-04-01 13:17:57.000000000 +0200
+++ gegl-0.2.0/operations/external/ff-load.c	2013-10-08 12:19:33.472272253 +0200
@@ -137,7 +137,7 @@
       if (p->enc)
         avcodec_close (p->enc);
       if (p->ic)
-        av_close_input_file (p->ic);
+        avformat_close_input(&p->ic);
       if (p->lavc_frame)
         av_free (p->lavc_frame);
 
@@ -216,9 +216,9 @@
             {
               do
                 {
-                  if (av_read_packet (p->ic, &p->pkt) < 0)
+                  if (av_read_frame (p->ic, &p->pkt) < 0)
                     {
-                      fprintf (stderr, "av_read_packet failed for %s\n",
+                      fprintf (stderr, "av_read_frame failed for %s\n",
                                o->path);
                       return -1;
                     }
@@ -271,12 +271,12 @@
       gint err;
 
       ff_cleanup (o);
-      err = av_open_input_file (&p->ic, o->path, NULL, 0, NULL);
+      err = avformat_open_input(&p->ic, o->path, NULL, 0);
       if (err < 0)
         {
           print_error (o->path, err);
         }
-      err = av_find_stream_info (p->ic);
+      err = avformat_find_stream_info (p->ic, NULL);
       if (err < 0)
         {
           g_warning ("ff-load: error finding stream info for %s", o->path);
@@ -312,7 +312,7 @@
       if (p->codec->capabilities & CODEC_CAP_TRUNCATED)
         p->enc->flags |= CODEC_FLAG_TRUNCATED;
 
-      if (avcodec_open (p->enc, p->codec) < 0)
+      if (avcodec_open2 (p->enc, p->codec, NULL) < 0)
         {
           g_warning ("error opening codec %s", p->enc->codec->name);
           return;
